require 'source.classlib'

Player = class()

function Player:__init(file)
	self.img = love.graphics.newImage(file)
	self.mx = 0
	self.my = 0
end

function Player:update(dt)
	if love.keyboard.isDown('right') then
		self.mx = self.mx+1
	elseif love.keyboard.isDown('left') then
		self.mx = self.mx-1
	elseif love.keyboard.isDown('up') then
		self.my = self.my-1
	elseif love.keyboard.isDown('down') then
		self.my = self.my+1
	end
end

function Player:getMovement()
	return self.mx, self.my
end

function Player:draw()
	-- Draw on the center of the screen...
	love.graphics.draw(self.img, love.graphics.getWidth()/2+self.mx, love.graphics.getHeight()/2+self.my)
end

function Player:destroy()
	self = nil
end