

local mainmenu				= {}
local buttongroup			= require 'source.buttongroup'

local b_main				= buttongroup.new( WIDTH / 2, HEIGHT / 2 )
b_main:setDistance( 32 )
b_main:setFont( FONT_MEDIUM )
b_main:addButton( { text = 'Start', funct = function() setState( game ) end } )
b_main:addButton( { text = 'Options', funct = function() end } )
b_main:addButton( { text = 'Exit', funct = function() love.event.quit() end } )


function mainmenu:init()
end


function mainmenu:enter()
end


function mainmenu:leave()
end


function mainmenu:update(dt)
	b_main:update(dt)
end


function mainmenu:draw()
-- Draw the game logo
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.draw(game_logo, 230, 15, 0, 0.8, 0.8)
	b_main:draw()
end


function mainmenu:keypressed(k)
	if not console:isVisible() then
		b_main:keypressed(k)
		if k == "escape" then love.event.quit() end
	end
end


function mainmenu:mousereleased(x, y, b)
	b_main:mousereleased(x, y, b)
end


return mainmenu